%define name goffice
%define version 0.5.0

%define api 0.5
%define major 5
%define libname %mklibname %name %{api}_%major

Summary: Set of document centric objects and utilities for glib/gtk
Name: %{name}
Version: %{version}
Release: %mkrel 2
Source0: http://ftp.gnome.org/pub/GNOME/sources/goffice/%{name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	automake1.8
BuildRequires:	intltool
BuildRequires: gtk+2-devel
BuildRequires: libgnomeprint-devel >= 2.8.2
BuildRequires: libgsf-devel >= 1:1.13.3
BuildRequires: libglade2.0-devel
BuildRequires: pcre libpcre-devel
BuildRequires: gtk-doc
BuildRequires: perl-XML-Parser

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package -n %libname
Summary:  %{summary}
Group: %{group}
Requires: %name >= %version

%description -n %libname
Shared library implementing document centric objects and utilities for glib/gtk

%package -n %libname-devel
Summary:  %{summary}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Conflicts: %mklibname -d goffice 0_3
Conflicts: %mklibname -d goffice 0_4

%description -n %libname-devel
Development files of the Goffice library.

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT %name-%version.lang
%makeinstall_std
%find_lang %name-%version
find %buildroot -name \*.la|xargs chmod 644

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name-%version.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS MAINTAINERS
%_datadir/%name
%_datadir/pixmaps/%name
%dir %_libdir/%name/

%files -n %libname
%defattr(-,root,root)
%_libdir/libgoffice-%api.so.%{major}*
%_libdir/%name/%version/

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/libgoffice-%{api}/
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/goffice/




%changelog
* Fri Sep 07 2007 Pixel <pixel@mandriva.com> 0.5.0-2mdv2008.0
+ Revision: 81438
- add conflict on lib(64)goffice0_4-devel

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 79285
- new version
- new major

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdv2008.0
+ Revision: 79228
- new version
- fix build

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2008.0
+ Revision: 54976
- new version

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 51223
- new version
- drop merged patch
- add conflict with old devel package for upgrades

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 22231
- new version
- new major

* Sun Apr 22 2007 Götz Waschk <waschk@mandriva.org> 0.3.8-1mdv2008.0
+ Revision: 16891
- new version


* Tue Mar 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.7-3mdv2007.1
+ Revision: 146940
-Patch0 : prevent crash for file with graphs with graph plugin disabled (GNOME bug #419955)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.7-2mdv2007.1
+ Revision: 144423
- Remove incorrectly generated files before build, fix GNOME bug #354874)

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.3.7-1mdv2007.1
+ Revision: 132873
- new version
- fix buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2007.1
+ Revision: 122112
- new version
- enable gtk-doc

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2007.1
+ Revision: 98428
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2007.1
+ Revision: 91185
- new version

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 0.3.3-2mdv2007.1
+ Revision: 77290
- bot rebuild
- new version

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2007.1
+ Revision: 65910
- new version
  fix file list

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.3.1-2mdv2007.1
+ Revision: 63757
- rebuild
- Import goffice

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2007.0
- New version 0.3.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2007.0
- Rebuild

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.3.0-1mdv2007.0
- Release 0.3.0

* Thu Mar 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- rebuild for new libgsf

* Wed Mar 01 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-3mdk
- BuildRequires: automake1.8
- BuildRequires: intltool

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.0-2mdk
- Fix build

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- new major
- New release 0.2.0

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- New release 0.1.2

* Mon Nov 07 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- bump deps
- New release 0.1.1

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1.0-1mdk
- new major
- bump deps
- New release 0.1.0

* Fri Sep 09 2005 Götz Waschk <waschk@mandriva.org> 0.0.4-1mdk
- New release 0.0.4

* Sat Sep 03 2005 Gtz Waschk <waschk@mandriva.org> 0.0.3-2mdk
- rebuild to remove glitz dep

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.0.3-1mdk
- bump deps
- New release 0.0.3

* Tue Aug 02 2005 Marcel Pol <mpol@mandriva.org> 0.0.2-1mdk
- 0.0.2

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.0.1-2mdk
- fix buildrequires

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.0.1-1mdk
- initial package

